Bug 1722673 (CVE-2019-11708) - CVE-2019-11708 Mozilla: Sandbox escape using Prompt:Open
Summary: CVE-2019-11708 Mozilla: Sandbox escape using Prompt:Open
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-11708
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1720056 1721801 1722679 1720053 1720054 1720055 1720057 1721688 1721689 1721690 1721691 1721692
Blocks: 1721788
TreeView+ depends on / blocked
 
Reported: 2019-06-21 00:00 UTC by Doran Moppert
Modified: 2019-09-29 15:15 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:07:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1603 None None None 2019-06-25 18:08:02 UTC
Red Hat Product Errata RHSA-2019:1604 None None None 2019-06-25 18:08:16 UTC
Red Hat Product Errata RHSA-2019:1623 None None None 2019-06-27 09:18:46 UTC
Red Hat Product Errata RHSA-2019:1624 None None None 2019-06-27 10:12:32 UTC
Red Hat Product Errata RHSA-2019:1626 None None None 2019-06-27 10:15:07 UTC
Red Hat Product Errata RHSA-2019:1696 None None None 2019-07-08 08:19:21 UTC

Description Doran Moppert 2019-06-21 00:00:59 UTC
Insufficient vetting of parameters passed with the `Prompt:Open`
IPC message between child and parent processes can result in the non-sandboxed
parent process opening web content chosen by a compromised child process.
When combined with additional vulnerabilities
this could result in executing arbitrary code on the user's computer.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2019-19/#CVE-2019-11708

Comment 1 Doran Moppert 2019-06-21 00:01:01 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Coinbase Security

Comment 2 Doran Moppert 2019-06-21 00:36:10 UTC
Created thunderbird tracking bugs for this issue:

Affects: fedora-all [bug 1722679]

Comment 3 Doran Moppert 2019-06-21 00:37:46 UTC
Statement:

In general, this flaw cannot be exploited through email in Thunderbird because scripting is disabled when reading mail.

Comment 4 errata-xmlrpc 2019-06-25 18:08:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1603 https://access.redhat.com/errata/RHSA-2019:1603

Comment 5 errata-xmlrpc 2019-06-25 18:08:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1604 https://access.redhat.com/errata/RHSA-2019:1604

Comment 6 errata-xmlrpc 2019-06-27 09:18:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1623 https://access.redhat.com/errata/RHSA-2019:1623

Comment 7 errata-xmlrpc 2019-06-27 10:12:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1624 https://access.redhat.com/errata/RHSA-2019:1624

Comment 8 errata-xmlrpc 2019-06-27 10:15:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1626 https://access.redhat.com/errata/RHSA-2019:1626

Comment 9 errata-xmlrpc 2019-07-08 08:19:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1696 https://access.redhat.com/errata/RHSA-2019:1696

Comment 10 Product Security DevOps Team 2019-07-12 13:07:58 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-11708


Note You need to log in before you can comment on or make changes to this bug.